flox (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0002-BE-compat.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Feb 2026 09:44:29 +0000

flox (0.11.0-3) unstable; urgency=medium

  * debian/patches:
    - New 0002-BE-compat.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Feb 2026 07:21:34 +0000

flox (0.11.0-2) unstable; urgency=medium

  * debian/control:
    - Remove rependency on python3-sparse.
      It is only an optional dependeny of flox and it
      introduces an indirect dependency on numba.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 05 Feb 2026 06:36:31 +0000

flox (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add build-dependency on python3-pytest-pretty,
      python3-pytest-xdist, python3-sparse and python3-syrupy.
  * debian/patches:
    - Refresh all aptches.
  * debian/rules:
    - Re-enable most of the tests.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Feb 2026 22:04:11 +0000

flox (0.10.8-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * debian/patch:
    - New 0001-Robust-module_available.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 13 Jan 2026 06:36:17 +0000

flox (0.10.8-2) unstable; urgency=medium

  * Do not run autopkgtests on i386.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Dec 2025 12:01:05 +0000

flox (0.10.8-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Dec 2025 06:24:56 +0000

flox (0.10.7-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Drop Rules-Requires-Root: no, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 19 Sep 2025 06:55:53 +0000

flox (0.10.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Aug 2025 05:40:31 +0000

flox (0.10.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Disable tests that are broken on i386.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Aug 2025 09:06:34 +0000

flox (0.10.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Drop versioned dependency for numpy-groupies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 08 Aug 2025 06:02:52 +0000

flox (0.10.3-2) unstable; urgency=medium

  * debian/rules:
    - Skip tests that are too slow and cause timeout errors on some
      platforms (Closes: #1105156).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 13 May 2025 06:55:46 +0000

flox (0.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Apr 2025 09:17:14 +0000

flox (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Apr 2025 05:33:27 +0000

flox (0.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 25 Mar 2025 06:28:29 +0000

flox (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Jan 2025 11:04:40 +0000

flox (0.9.15-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 15 Nov 2024 15:32:06 +0000

flox (0.9.14-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Nov 2024 16:43:47 +0000

flox (0.9.13-2) unstable; urgency=medium

  * debian/rule:
    - Disable a test that is broken on BE archs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 03 Oct 2024 05:30:08 +0000

flox (0.9.13-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2024 10:57:30 +0000

flox (0.9.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Update the list of tests to skip.
  * Update d/source/lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 13 Sep 2024 18:25:18 +0000

flox (0.9.10-1) unstable; urgency=medium

  * New upstream release.
  * Improve lintian overrides patterns.
  * debian/rules:
    - Fix testing.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 15 Aug 2024 06:27:59 +0000

flox (0.9.9-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Explicitly depend on hypothesis.
  * debian/rules:
    - Skip tests requiring "snapshot".
    - Skiw broken hypothesis test.
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Aug 2024 10:17:27 +0000

flox (0.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 May 2024 05:45:16 +0000

flox (0.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 May 2024 09:01:22 +0000

flox (0.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 28 Mar 2024 08:06:23 +0000

flox (0.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Feb 2024 10:59:02 +0000

flox (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update dependencies: add cftime, drop netcdf4.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Jan 2024 11:19:58 +0000

flox (0.8.9-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jan 2024 11:52:58 +0000

flox (0.8.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Update the list of tests to skip.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Jan 2024 15:20:58 +0000

flox (0.8.6-2) unstable; urgency=medium

  * debian/rules:
    - Disable test_multi_index_groupby_sum.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jan 2024 08:28:37 +0000

flox (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/rules:
    - Update the list of tests to skip.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jan 2024 15:39:02 +0000

flox (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on scipy.
  * debian/rules:
    - Skip tests requiring scipy v1.11.x.
    - Re-enable test_xarray_resample, test_multi_index_groupby_sum
      and test_dtype_accumulation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Dec 2023 23:25:22 +0000

flox (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Nov 2023 08:22:09 +0000

flox (0.8.1-2) unstable; urgency=medium

  * debian/rules:
    - Skip test_dtype_accumulation (broken).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Oct 2023 06:21:20 +0000

flox (0.8.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Improve lintian overrides.
  * debian/patches:
    - Drop d/patches/0001-Compatibility-with-Pandas-older-than-1.4.patch,
      d/patches/0002-Fix-compatiility-with-new-dask-versions.patch, and
      d/patches/0003-Fix-tests-in-i386.patch, applied upstream.
    - Refresh remaining patches.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Oct 2023 13:49:35 +0000

flox (0.7.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
    (closes: #1045005)

  [ Antonio Valentino ]
  * debian/control:
    - use <!nocheck> marker
    - add build-dependency on python3-cachey.
  * Switch to autopkgtest-pkg-pybuild and remove the
    no longer needed d/tests folder.
  * New d/python3-flox.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Aug 2023 19:56:54 +0000

flox (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-packaging to build-dependencies.
  * Bump debhelper-compat version to 13.
  * debain/patch:
    - refresh all patches
    - new 0002-Fix-compatiility-with-new-dask-versions.patch
    - new 0003-Fix-tests-in-i386.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Jun 2023 11:06:48 +0000

flox (0.6.7-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add upstream patches to fix test failure on i386.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - drop patches to fix test failure on i386 (applied upstream
      in the new version).
  * Standards version bumped to 4.6.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Jan 2023 07:43:43 +0000

flox (0.6.5-3) unstable; urgency=medium

  * Mark autopkgtests as skippable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 10 Jan 2023 06:27:19 +0000

flox (0.6.5-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable Salsa CI.

  [ Antonio Valentino ]
  * Disable autopkgtests on 32not architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 09 Jan 2023 21:44:50 +0000

flox (0.6.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/control
    - versioned dependency: python3-numpy-groupies (>= 0.9.19).
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Jan 2023 09:38:22 +0000

flox (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 21 Oct 2022 06:23:34 +0000

flox (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - new 0001-Compatibility-with-Pandas-older-than-1.4.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 07:59:12 +0000

flox (0.5.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update home page URL.
  * No longer skip "test_groupby_reduce_nans", fixed upstream.
    See https://github.com/xarray-contrib/flox/issues/133 and
    https://github.com/xarray-contrib/flox/pull/136,

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 10 Oct 2022 05:56:41 +0000

flox (0.5.9-5) unstable; urgency=medium

  * Team upload.
  * Don't install benchmarks directory.
    (closes: #1018792)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 31 Aug 2022 08:15:00 +0200

flox (0.5.9-4) unstable; urgency=medium

  * Skip tests that are broken an 32bit architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Aug 2022 07:33:38 +0000

flox (0.5.9-3) unstable; urgency=medium

  * Fix test dependencies in d/tests/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Aug 2022 15:38:01 +0000

flox (0.5.9-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2022 20:00:58 +0200

flox (0.5.9-1) unstable; urgency=low

  * Initial release (Closes: #1016797).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Aug 2022 20:07:15 +0000
